/Users/bernard/b20/bsoft/src/bmaxpow.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bmaxpow.cpp - Determining orientations by maximum power of 3D reconstruction from single particle images.

SYNOPSIS

#include 'rwmg.h'
#include 'mg_processing.h'
#include 'mg_particles.h'
#include 'mg_particle_select.h'
#include 'mg_ctf.h'
#include 'rwimg.h'
#include 'linked_list.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'
#include <sys/stat.h>
#include <fcntl.h>

  Functions
int project_maximum_power (Bproject *project, Bsymmetry *sym, double theta_step, double phi_step, double alpha_step, int part_select, double hi_res, double lo_res, double scale, Vector3< long > size, Bimage *pmask, int pad_factor, int ctf_action, double wiener, int flags)
Determines the orientation of each particle from the maximum power of its reconstruction.
int main (int argc, char **argv)
double img_reconstruct_one (Bimage *p, Vector3< long > size, Bsymmetry *sym, View view, double hi_res, double lo_res, double scale)
double img_reconstruct_one_v3 (Bimage *p, Vector3< long > size, Bsymmetry *sym, View view, double hi_res, double lo_res, double scale)
double img_reconstruct_one_v2 (Bimage *p, Vector3< long > size, Bsymmetry *sym, View view, double hi_res, double lo_res, double scale)
double img_reconstruct_one_v1 (Bimage *p, Vector3< long > size, Bsymmetry *sym, View view, double hi_res, double lo_res, double scale)
double img_find_maximum_power (Bimage *p, Vector3< long > size, Bsymmetry *sym, double theta_step, double phi_step, double alpha_step, double hi_res, double lo_res, double scale, int pad_factor)
Determines the orientation of a particle image by maximum power.
double part_find_maximum_power (Bparticle *part, Vector3< long > size, Bimage *pmask, long ft_size, Bsymmetry *sym, double theta_step, double phi_step, double alpha_step, double hi_res, double lo_res, double scale, int pad_factor, int ctf_action, double wiener, int flags)

  Variables
int verbose
const char * use []

Detailed Description

Determining orientations by maximum power of 3D reconstruction from single particle images.

Author:
    Bernard Heymann

Date:
    Created: 20080424

    Modified: 20190516

Definition in file bmaxpow.cpp.

Function Documentation

  double img_find_maximum_power (Bimage * p, Vector3< long > size, Bsymmetry * sym, double theta_step, double phi_step, double alpha_step, double hi_res, double lo_res, double scale, int pad_factor)

Determines the orientation of a particle image by maximum power.

Parameters:
    *p particle image.
    size reconstruction size.
    *sym point group symmetry.
    theta_step theta angular step size.
    phi_step phi angular step size.
    alpha_step alpha angular step size (in-plane).
    hi_res high resolution limit.
    lo_res low resolution limit (infinite if 0).
    scale scale of reconstruction and particle magnification.
    pad_factor factor that determines image padding.

Returns:
    double best FOM.

    For each view, a reconstruction is generated using the given symmetry.
    The reconstruction with the maximum power is selected and the
    corresponding view assigned to the particle.
        P = sum(|F|^2)

Definition at line 354 of file bmaxpow.cpp.

  double img_reconstruct_one (Bimage * p, Vector3< long > size, Bsymmetry * sym, View view, double hi_res, double lo_res, double scale)

Definition at line 200 of file bmaxpow.cpp.

  double img_reconstruct_one_v1 (Bimage * p, Vector3< long > size, Bsymmetry * sym, View view, double hi_res, double lo_res, double scale)

Definition at line 298 of file bmaxpow.cpp.

  double img_reconstruct_one_v2 (Bimage * p, Vector3< long > size, Bsymmetry * sym, View view, double hi_res, double lo_res, double scale)

Definition at line 262 of file bmaxpow.cpp.

  double img_reconstruct_one_v3 (Bimage * p, Vector3< long > size, Bsymmetry * sym, View view, double hi_res, double lo_res, double scale)

Definition at line 230 of file bmaxpow.cpp.

  int main (int argc, char ** argv)

Definition at line 67 of file bmaxpow.cpp.

  double part_find_maximum_power (Bparticle * part, Vector3< long > size, Bimage * pmask, long ft_size, Bsymmetry * sym, double theta_step, double phi_step, double alpha_step, double hi_res, double lo_res, double scale, int pad_factor, int ctf_action, double wiener, int flags)

Definition at line 419 of file bmaxpow.cpp.

  int project_maximum_power (Bproject * project, Bsymmetry * sym, double theta_step, double phi_step, double alpha_step, int part_select, double hi_res, double lo_res, double scale, Vector3< long > size, Bimage * pmask, int pad_factor, int ctf_action, double wiener, int flags)

Determines the orientation of each particle from the maximum power of its reconstruction.

Parameters:
    *project image processing parameter structure.
    *sym point group symmetry.
    theta_step theta angular step size.
    phi_step phi angular step size.
    alpha_step alpha angular step size (in-plane).
    part_select selection number from the selection column.
    hi_res high resolution limit.
    lo_res low resolution limit (infinite if 0).
    scale scale of reconstruction.
    size size of reconstruction.
    *pmask mask to eliminate unwanted parts (can be NULL).
    pad_factor factor that determines image padding.
    ctf_action type of CTF calculated (1-8).
    wiener Wiener factor (fraction).
    flags option flags.

Returns:
    int 0.

    Each particle is transformed to a view on a grid and a reconstruction
    generated. The view associated with the reconstruction with the highest
    power is accepted.

Definition at line 518 of file bmaxpow.cpp.

Variable Documentation

  const char* use[]

Definition at line 34 of file bmaxpow.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.